<!--
/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : CVMe.vue
 * @Created_at  : 27/06/2022
 * @Update_at   : 27/06/2022
 * ----------------------------------------------------------------
 */
-->

<style type="text/css" src="./css/CVMe.css" scoped/>

<script>
    import Card from "../Card/Card";

    export default {
        name: 'CVMe',

        components: {
            Card
        },

        data: () => {
            return {
                component: {
                    design: {
                        class: ['cv-me']
                    }
                }
            }
        },
    }
</script>

<template>
    <Card :design="component.design">

        <!-- Title -->
        <div class="cv-me-title">Projets et Centres d'intérêts</div>

        <!-- Projects -->
        <article class="cv-me-content">
            <div class="cv-me-content-title">Projets</div>
            <ul>
                <li>Développement d'un Framework PHP (Luna)</li>
                <li>Gestion de services
                    <ul>
                        <li>Gateway & Loadbalancer</li>
                        <li>Cloud <span class="cv-me-content-information">(SSH / SFTP / NFS)</span></li>
                        <li>Base de données <span class="cv-me-content-information">(MariaDB)</span></li>
                        <li>Web <span class="cv-me-content-information">(Ngnix / Let's Encrypt)</span></li>
                        <li>Jeux <span class="cv-me-content-information">(Minecraft moddé)</span></li>
                    </ul>
                </li>
                <li>Travail sur un projet de jeu vidéo. <span class="cv-me-content-information">(Modeling / Programming / Writer / Level Design)</span></li>
            </ul>
        </article>

        <!-- Interests -->
        <article class="cv-me-content">
            <div class="cv-me-content-title">Centres d'intérêts</div>
            <ul>
                <li>Musique <span class="cv-me-content-information">(Apprentissage en autodidacte)</span></li>
                <li>Dessin</li>
                <li>Les voyages / randonnées</li>
            </ul>
        </article>

    </Card>
</template>
